@import url('https://fonts.googleapis.com/css2?family=Moderustic:wght@300..800&display=swap');

*{
    padding: 0;
    margin: 0;
    font-family: 'Moderustic';

}

body{
    background: #222;
}
.card{
    width: 90%;
    max-width: 470px;
    background: linear-gradient(135deg, #00feba ,#5b548a);
    color: #fff;
    margin: 100px auto 0;
    border-radius: 20px;
    text-align: center;
    padding: 40px 35px;
}
.search{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
}
.search input{
   height: 60px;
   outline: 0;
   border: none;
   margin: 0;
   background:#ebfffc;
   border-radius: 30px;
   flex: 1;
   font-size: 18px;
   padding: 0 20px;
   margin-right: 16px;
}
.card button{
    border: 0;
    margin: 0;
    background:#ebfffc;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    cursor: pointer;
}
.card  button img{
    width: 16px;
}
.weather .weathericon{
    width: 170px;
    margin-top: 30px;
}
.weather h1{
    font-size: 80px;
    font-weight: 500;
}
.weather h2{
    font-size: 45px;
    font-weight: 400;
    margin-top: -10px;
}
.details{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    margin-top: 50px;
}
.details .col{
    display: flex;
    align-items: center;
    text-align: left;
}
.col img{
    width: 40px;
    margin-right: 10px;
}
.humidity , .wind{
    font-size: 28px;
    margin-top: -6px;
}
.error{
    text-align: left;
    margin-left: 10px;
    font-size: 18px;
    display: none;
}